Summary:	KDE Frameworks 5 C++ interface around LibRaw module
Name:		libkdcraw
Version:	17.12.3
Release:	1
Epoch:		2
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)

%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

#------------------------------------------------

%define kf5kdcraw_major 5
%define libkf5kdcraw %mklibname kf5kdcraw %{kf5kdcraw_major}

%package -n %{libkf5kdcraw}
Summary:	KDE Frameworks 5 C++ interface around LibRaw shared library
Group:		System/Libraries
Provides:	%{name}-common = %{EVRD}
Obsoletes:	%{name} < 2:16.08.1
Obsoletes:	%{name}-common < 2:16.08.1

%description -n %{libkf5kdcraw}
KDE Frameworks 5 C++ interface around LibRaw shared library.

%files -n %{libkf5kdcraw}
%{_kde5_libdir}/libKF5KDcraw.so.%{kf5kdcraw_major}*

#-----------------------------------------------------------------------------

%define devkf5kdcraw %mklibname kf5kdcraw -d

%package -n %{devkf5kdcraw}
Summary:	Development files for KDE Frameworks 5 C++ interface around LibRaw module
Group:		Development/KDE and Qt
Requires:	%{libkf5kdcraw} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kdcraw-devel = %{EVRD}
Obsoletes:	%{name}-devel < 2:16.08.1

%description -n %{devkf5kdcraw}
Development files for KDE Frameworks 5 C++ interface around LibRaw module.

%files -n %{devkf5kdcraw}
%{_kde5_includedir}/KF5/KDCRAW/
%{_kde5_includedir}/KF5/libkdcraw_version.h
%{_kde5_libdir}/cmake/KF5KDcraw
%{_kde5_libdir}/libKF5KDcraw.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.12.3-1
- (5d7d749) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.08.2-1
- (bc841d5) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.3-1
- (344551a) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.2-1
- (b8f716e) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.3-1
- (2ea1399) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.2-1
- (0906dee) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-2
- (5b1e43d) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-1
- (6c3270e) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-3
- (b1d40f2) MassBuild#1212: Increase release tag

* Sat Jan 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-2
- (fae15e7) Bump release

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-1
- (1e16d2d) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-2
- (245b0f6) MassBuild#1169: Increase release tag

* Fri Sep 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-1
- (482ecf8) New version 16.08.1
- (482ecf8) Switch to KF5

* Fri Sep 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-4
- (509485a) Library package should not require the same version of common subpackage

* Sat Feb 06 2016 Denis Silakov <dsilakov@gmail.com> 2:4.14.3-3
- (f486c09) Rebuilt with new libraw

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2:4.14.3-2
- (c92b2e8) MassBuild#656: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-1
- (ddb784b) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
- (490eb2a) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-3
- (246377a) Bump release

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:4.13.2-2
- (b3af8aa) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-1
- (a07f36f) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.4-1
- (2b21606) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.3-1
- (e04ef80) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.4-1
- (fb79efd) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.3-1
- (c062ab1) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.2-1
- (99064b7) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.5-1
- (def9542) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.4-1
- (c7b2372) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.3-1
- (6560a00) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.5-1
- (e16ffa6) LOG New version 4.9.5


